com.microfocus.awm.meta.interfaces

## Interface RElementlistAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementlistActionImpl

      public interface RElementlistAction
      extends AWMObject

  Relationship to define element list actions. Element list actions can appear in the context menu of the element list, but are defined independently of the element types.

  The following features are supported:

  - `Target ID`
  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `Label`
  - `Seq No`
  - `Show In Context Menu`
  - `Show In Toolbar`
  See Also:
    `TaurusPackage.getRElementlistAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSelectionEnabledCondition` | `getActionEnabledCondition()` Returns the value of the 'Action Enabled Condition' containment reference.
    `RSelectionVisibleCondition` | `getActionVisibleCondition()` Returns the value of the 'Action Visible Condition' containment reference.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ActionDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetShowInContextMenu()` Returns whether the value of the '`Show In Context Menu`' attribute is set.
    `boolean` | `isSetShowInToolbar()` Returns whether the value of the '`Show In Toolbar`' attribute is set.
    `boolean` | `isShowInContextMenu()` Returns the value of the 'Show In Context Menu' attribute.
    `boolean` | `isShowInToolbar()` Returns the value of the 'Show In Toolbar' attribute.
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Action Enabled Condition`' containment reference.
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition value)` Sets the value of the '`Action Visible Condition`' containment reference.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setShowInContextMenu(boolean value)` Sets the value of the '`Show In Context Menu`' attribute.
    `void` | `setShowInToolbar(boolean value)` Sets the value of the '`Show In Toolbar`' attribute.
    `void` | `setTargetID(ActionDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetShowInContextMenu()` Unsets the value of the '`Show In Context Menu`' attribute.
    `void` | `unsetShowInToolbar()` Unsets the value of the '`Show In Toolbar`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          ActionDescriptor getTargetID()

      Returns the value of the 'Target ID' reference. The action descriptor that should be referenced by means of this relationship.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ActionDescriptor)`, `TaurusPackage.getRElementlistAction_TargetID()`

    - #### setTargetID

          void setTargetID(ActionDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getActionEnabledCondition

          RSelectionEnabledCondition getActionEnabledCondition()

      Returns the value of the 'Action Enabled Condition' containment reference. Defines rules for when to activate the action. Non-activated actions are disabled and can not be executed.
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRElementlistAction_ActionEnabledCondition()`

    - #### setActionEnabledCondition

          void setActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `getActionEnabledCondition()`

    - #### getActionVisibleCondition

          RSelectionVisibleCondition getActionVisibleCondition()

      Returns the value of the 'Action Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the action is visibled.
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getRElementlistAction_ActionVisibleCondition()`

    - #### setActionVisibleCondition

          void setActionVisibleCondition(RSelectionVisibleCondition value)

      Sets the value of the '`Action Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `getActionVisibleCondition()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The display text or the tooltip for the action.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementlistAction_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`). If the ActionDescriptors Label wasn't set, too, its ID will be returned.

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Position number of the action in context menus (1 = at the very top).
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementlistAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isShowInContextMenu

          boolean isShowInContextMenu()

      Returns the value of the 'Show In Context Menu' attribute. The default value is `"true"`.
      Determines whether the action is shown in the context menu of the element list entries.
      Returns:
        the value of the 'Show In Context Menu' attribute.
      See Also:
        `isSetShowInContextMenu()`, `unsetShowInContextMenu()`, `setShowInContextMenu(boolean)`, `TaurusPackage.getRElementlistAction_ShowInContextMenu()`

    - #### setShowInContextMenu

          void setShowInContextMenu(boolean value)

      Sets the value of the '`Show In Context Menu`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Context Menu' attribute.
      See Also:
        `isSetShowInContextMenu()`, `unsetShowInContextMenu()`, `isShowInContextMenu()`

    - #### unsetShowInContextMenu

          void unsetShowInContextMenu()

      Unsets the value of the '`Show In Context Menu`' attribute.
      See Also:
        `isSetShowInContextMenu()`, `isShowInContextMenu()`, `setShowInContextMenu(boolean)`

    - #### isSetShowInContextMenu

          boolean isSetShowInContextMenu()

      Returns whether the value of the '`Show In Context Menu`' attribute is set.
      Returns:
        whether the value of the 'Show In Context Menu' attribute is set.
      See Also:
        `unsetShowInContextMenu()`, `isShowInContextMenu()`, `setShowInContextMenu(boolean)`

    - #### isShowInToolbar

          boolean isShowInToolbar()

      Returns the value of the 'Show In Toolbar' attribute.
      Determines whether the action is shown in the tool bar of the element list. This feature is currently not supported, but is for future use.
      Returns:
        the value of the 'Show In Toolbar' attribute.
      See Also:
        `isSetShowInToolbar()`, `unsetShowInToolbar()`, `setShowInToolbar(boolean)`, `TaurusPackage.getRElementlistAction_ShowInToolbar()`

    - #### setShowInToolbar

          void setShowInToolbar(boolean value)

      Sets the value of the '`Show In Toolbar`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Toolbar' attribute.
      See Also:
        `isSetShowInToolbar()`, `unsetShowInToolbar()`, `isShowInToolbar()`

    - #### unsetShowInToolbar

          void unsetShowInToolbar()

      Unsets the value of the '`Show In Toolbar`' attribute.
      See Also:
        `isSetShowInToolbar()`, `isShowInToolbar()`, `setShowInToolbar(boolean)`

    - #### isSetShowInToolbar

          boolean isSetShowInToolbar()

      Returns whether the value of the '`Show In Toolbar`' attribute is set.
      Returns:
        whether the value of the 'Show In Toolbar' attribute is set.
      See Also:
        `unsetShowInToolbar()`, `isShowInToolbar()`, `setShowInToolbar(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.